JRE Error

Issues with installing under all versions of MS Windows

JRE Error

Postby Horse » Sat Nov 25, 2017 7:20 pm

I have Apache OO 4.1.2. running under Widows 10 Home 64-bit but Help doesn't work: Help > OpenOffice Help pops up the Help window. But if I give it any search term I get a dialog (attached) saying the JRE is broken. This has happened with two newly installed JREs, both 32-bit (is that the problem?). JRE versions I've tried are jre1.8.0_151 and jre1.8.0_40. The Options > Tools ... points to the JRE. I'd appreciate any suggestions and wish to thank you in advance.
Attachments
JRE-ErrorMsg.png
Lee Higbie
OpenOffice 4.1.1 on Win 8.1
Horse
 
Posts: 42
Joined: Sat Nov 26, 2011 2:14 am

Re: JRE Error

Postby RoryOF » Sat Nov 25, 2017 8:08 pm

Please confirm that the downloaded files to install Java have 586 in their filename.
Apache OpenOffice 4.1.4 on Xubuntu 16.04.03 (mostly 64 bit version) and infrequently on Win2K/XP
14 October 2016 was Pooh's 90th birthday
User avatar
RoryOF
Moderator
 
Posts: 25493
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: JRE Error

Postby Horse » Sat Nov 25, 2017 8:38 pm

As far as I can see, the downloaded files were deleted by the installer. At least I don't find them. I suppose the easy thing would be to download the 586 files and try again, but I wonder if you know how I can tell if the installed JRE is one of the good versions?
I looked at java.com and oracle.com and neither of their downloads, as listed in my browser, had 586 in the names. What am I missing?
Lee Higbie
OpenOffice 4.1.1 on Win 8.1
Horse
 
Posts: 42
Joined: Sat Nov 26, 2011 2:14 am

Re: JRE Error

Postby RoryOF » Sat Nov 25, 2017 8:46 pm

On my WinXp version I am using Java 7 version 45. I cannot say about Java on Win 8.1, as I have never used it - I only use Windows for access to legacy files with older applications.
Apache OpenOffice 4.1.4 on Xubuntu 16.04.03 (mostly 64 bit version) and infrequently on Win2K/XP
14 October 2016 was Pooh's 90th birthday
User avatar
RoryOF
Moderator
 
Posts: 25493
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: JRE Error

Postby Horse » Sat Nov 25, 2017 9:37 pm

In https://forum.openoffice.org/en/forum/v ... 7&p=415318 one writer seems to indicate a similar JRE problem with OO 4.1.3. Anyone know if 4.1.4 fixed that? or is the claim specious. Has someone with OO on Windows 10 found a working combination they can recommend? I.e., Can you recommend Win 10 Home + AOO 4.1.x + JREyy that works smoothly and, if so, what are the values for x and yy? Though I've seen the error a number of times, I think they may all be associate with trying to use the built-in Help in OO.
Lee Higbie
OpenOffice 4.1.1 on Win 8.1
Horse
 
Posts: 42
Joined: Sat Nov 26, 2011 2:14 am

Re: JRE Error

Postby Bill » Sat Nov 25, 2017 9:48 pm

This may be caused by a msvcr100.dll file missing from Windows 8. See this old post:

Re: JRE defective
AOO 4.1.4 on 64-bit Windows 10 and Manjaro Linux
Bill
Volunteer
 
Posts: 6380
Joined: Sat Nov 24, 2007 6:48 am

Re: JRE Error

Postby Horse » Sun Nov 26, 2017 12:25 am

I checked and my system includes 19 copies of msvcr100.dll (of various vintages), including two in the directory where the jre was just installed. One is in ...\jre1.8.0_151\bin and the other in ...\jre1.8.0_151\bin\plugin2. Has anyone else had that Win 8 msvcr100.dll problem in Win 10?
Lee Higbie
OpenOffice 4.1.1 on Win 8.1
Horse
 
Posts: 42
Joined: Sat Nov 26, 2011 2:14 am

Re: JRE Error

Postby Bill » Sun Nov 26, 2017 1:26 pm

The 19 copies of msvcr100.dll won't be of any use if they are in places where Windows doesn't look for them. Installing the Microsoft Visual C++ 2010 Redistributable Package (x86) will put the msvcr100.dll file where Windows will always find it.
AOO 4.1.4 on 64-bit Windows 10 and Manjaro Linux
Bill
Volunteer
 
Posts: 6380
Joined: Sat Nov 24, 2007 6:48 am


Return to MS Windows

Who is online

Users browsing this forum: No registered users and 13 guests